//
//  CheckConnection.h
//  KotnetAutologin
//
//  Created by Kristof Marien on 5/01/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <SystemConfiguration/SystemConfiguration.h>

@interface CheckConnection : NSObject {
	@private
	BOOL checkingNetwork;
	@public
	id delegate;
	SEL connectedCallback;
	SEL notconnectedCallback;
}

@property(nonatomic, retain) id delegate;
@property(nonatomic) SEL connectedCallback;
@property(nonatomic) SEL notconnectedCallback;

- (void) isConnected:(id)connectionDelegate connectedSelector:(SEL)connectedSelector notconnectedSelector:(SEL)notconnectedSelector;
- (void) check;
- (BOOL) isNetworked;
- (void) checkNetwork;

@end
