//
//  CheckLoggedIn.h
//  KotnetAutologin
//
//  Created by Kristof Marien on 6/01/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "GetHTMLSource.h"

@interface CheckLoggedIn : NSObject {
	@private
	GetHTMLSource *source;
	@public
	id delegate;
	SEL loggedInCallback;
	SEL notloggedInCallback;
}

@property(nonatomic, retain) id delegate;
@property(nonatomic) SEL loggedInCallback;
@property(nonatomic) SEL notloggedInCallback;

- (void) checkLoggedIn:(id)loggedInDelegate loggedInSelector:(SEL)loggedInSelector notloggedInSelector:(SEL)notloggedInSelector;
- (void) sourceReceived:(NSString *)source;
- (void) sourceError;

@end
