//
//  KeyChain.m
//  KotnetAutologin
//
//  Created by Kristof Marien on 3/01/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "KeyChain.h"

static char *service = "KotnetAutologin";


@implementation KeyChain 
- (void) savePassWordKeyChain:(NSString *) account :(NSString *) password;
{
	SecKeychainAddGenericPassword(nil, strlen(service), service, strlen((void *)[account UTF8String]), 
										   (void *)[account UTF8String], strlen((void *)[password UTF8String]), 
										   (void *)[password UTF8String], nil);
}
- (void*) getPasswordKeyChain:(NSString *) account
{
	void *passwordData = nil;

	OSStatus status;
	status = SecKeychainFindGenericPassword(nil, strlen(service), service, 
											strlen((void *)[account UTF8String]), (void *)[account UTF8String], 
											NULL, &passwordData, NULL);
	if (status == -25300) {
		return "not found PWD";
	}
	status = SecKeychainItemFreeContent(nil, passwordData);
	return passwordData;
}
- (void) deletePasswordKeyChain:(NSString *) account
{
	SecKeychainItemRef itemRef = nil;
	
	SecKeychainFindGenericPassword(nil, strlen(service), service, strlen((void *)[account UTF8String]),
											(void *)[account UTF8String], nil, nil, &itemRef);
	
	SecKeychainItemDelete(itemRef);
}
@end
