//
//  Preferences.h
//  KotnetAutologin
//
//  Created by Kristof Marien on 31/12/09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "KeyChain.h"


@interface Preferences : NSWindowController {
	@private
    IBOutlet NSTextField *passwordTextField;
    IBOutlet NSTextField *userTextField;
	IBOutlet NSButton *saveInKeychainCheckBox;
	IBOutlet NSButton *startAtLoginCheckBox;
	NSWindowController *_preferencesPanelController;
	KeyChain *keyChain;
}
- (IBAction)showPreferencesPanel:(id)sender;
- (void)awakeFromNib;
- (BOOL)windowShouldClose:(id)sender;
- (BOOL)saveLogin:(id)sender;
- (void)displayAlertWithMessageText:(NSString *)messageText:(id)sender;
@end
